/**
 * Problem 3: Bricks on a wall
 * 
 * Op 2019
 *
 * Copyright 2019 Robert. W. Hasker
 *
 */

import java.util.*;

public class Prob3 {
  public static void main(String[] args)
  {
    final float ft_high = inputFloat("Enter height of wall in feet: ");
    final float ft_wide = inputFloat("Enter width of wall in feet: ");
    
    int full_bricks = 0;
    int half_bricks = 0;
    {
      float partial_bricks = ft_wide * 12.0f / 8.0f;
      full_bricks = (int)Math.floor(partial_bricks);
      float left_over = partial_bricks - full_bricks;
      if ( left_over > 0 ) {
        if ( left_over > 0.5f )
          half_bricks += 1;
        else
          full_bricks += 1;
      }
    }

    int runs = (int)Math.floor(ft_high * 12 / 2.25);

    if ( half_bricks == 0 ) {
      // eights for odd numbered rows, 1 fewer on even rows with 2 fours
      full_bricks = (int)(Math.floor(runs / 2) * full_bricks + Math.floor(runs / 2) * (full_bricks - 1));
      half_bricks = (int)(Math.floor(runs / 2) * 2);
    } else {
      // same number each row
      full_bricks *= runs;
      half_bricks *= runs;
    }
    System.out.println("Full bricks: " + full_bricks);
    System.out.println("Half bricks: " + half_bricks);
  }

  /**************************************************************/
  /* utilities */

  /**
   * prompt for a float, skipping any invalid preamble
   * @param prompt prompt to display
   * @return the entered float
   */
  private static float inputFloat(String prompt)
  {
    System.out.print(prompt);
    while (!sc.hasNextFloat())
      sc.next(); // discard non-matching token
    float retVal = sc.nextFloat();
    sc.nextLine(); // dump CR from stream
    return retVal;
  }

  private final static Scanner sc = new Scanner(System.in);
}
